> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get actions

> Retrieves actions filtered by recipientId and optional parameters



## OpenAPI

````yaml /api-reference/oda-actions-service-1.0.0.yml get /actions
openapi: 3.0.1
info:
  title: oda-actions-service
  version: 1.0.0
servers: []
security: []
paths:
  /actions:
    get:
      summary: Get actions
      description: Retrieves actions filtered by recipientId and optional parameters
      operationId: getActions
      parameters:
        - name: recipientId
          in: query
          description: Owner recipient ID
          required: true
          explode: false
          schema:
            type: string
        - name: game
          in: query
          description: Filter by game
          explode: false
          schema:
            type: string
            nullable: true
        - name: enabled
          in: query
          description: Filter by enabled status
          explode: false
          schema:
            type: boolean
            nullable: true
        - name: category
          in: query
          description: Filter by category
          explode: false
          schema:
            type: string
            nullable: true
        - name: provider
          in: query
          description: Filter by provider
          explode: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Actions retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ActionControllerApi.ActionDto'
components:
  schemas:
    ActionControllerApi.ActionDto:
      required:
        - category
        - enabled
        - game
        - id
        - name
        - payload
        - price
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        price:
          $ref: '#/components/schemas/Amount'
        category:
          type: string
        game:
          type: string
        enabled:
          type: boolean
        payload:
          type: object
          additionalProperties:
            type: object
    Amount:
      required:
        - currency
        - major
        - minor
      type: object
      properties:
        minor:
          type: integer
          format: int32
        major:
          type: integer
          format: int32
        currency:
          type: string

````